Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!


Click here to return to the '10.4: Install Apache2, PHP5, and MySQL5' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
10.4: Install Apache2, PHP5, and MySQL5
Authored by: miname on Dec 22, '05 03:29:51AM

The title of this hint is kind of misleading.

I believe this hint is for the users who want to use Entropy's PHP 5 package with their Complete Apache 2 installation in OS X client.

As you might know, current Entropy's PHP 5.0.4 package was complied for the OS X Server, not the client version. so the 'opt' folder comes in here to imitate the OS X Server directory structure. (the original Apache web server that comes with OS X Server is located in /opt/apache2)

There are lots of options we can install A2P5M5 nowadays, but again, it is a good idea to check other resources available on the Web (including the link laurencewilks mentioned above) and understand exactly what you are doing before making any modifications to your precious system.



[ Reply to This | # ]
non-hint of the week
Authored by: sjk on Dec 22, '05 08:57:25PM

I also question the value of this hint and who it's really intended to serve. I think it's an unnecessary oversimplification and trivialization of what even some experienced admins consider a fairly complicated installation/configuration process. And linking directly to specific versions of this software is a poor practice since it's updated fairly frequently, sometimes with important security fixes. Pick your favorite "handing a loaded gun to a child" analogy to describe how I generally feel about this hint.

What miname wrote about about checking other resources and understanding what you're doing is good advice when setting up a web server, especially if it's going to be on the internet. Same's generally true with other network services, too.



[ Reply to This | # ]